前几天在同一台电脑里面安装了个多个版本的火狐,想安装多个火狐版本的同学可以参照这篇文章

同一时间,有个同学跟我说,想在最新的火狐上安装Google工具栏,我说:“到Google官方就可以下载安装呀!”,他说:“官方的工具栏已经不兼容了!!并且按照我之前的方法制作的新的Google工具栏扩展也会提示不能安装“该附加组件无法安装,因为它似乎已损坏”.

我也试了一下,发现还真不能安装(如上图)!!后来经过几次的测试之后,发现原因了!!原来Google在Google工具栏里面添加了签名,在安装的时候火狐会检查一下扩展的各个文件的MD5与SHA1的值,只要跟原来的不一样,就不能安装。所以,我们只要把它的签名给删除掉就可以安装该工具栏了。

具体的方法如下:
用7-zip解压Google工具栏的XPI文件,修改文件install.rdf里面的内容,然后把文件夹“META-INF”里面的所有文件都删除掉,再用7-zip软件把刚才解压的东西打包成zip文件,最后把打包好的zip后缀改为xpi即可安装。过程是很简单,就不详细图文描述了。最后,截个图晒晒安装好之后的样子.

为了防止firefox飙版本号导致该扩展很快失效,所以我把该扩展的版本号码直接修改为向后兼容到firefox 16.x了,这样大家就不必担心该扩展或失效啦,嘿嘿。为了方便同学安装该扩展,我已经将其放到站上了,大家下载回来即可安装。

下载地址是:点我下载firefox-Google工具栏最新Windows版     点我下载firefox-Google工具栏最新Linux版

藏剑山庄原创文章,未经允许,禁止转载!

原文链接:http://blog.yanwen.org/archives/846.html